# 38. क्वेरी: "UserData" प्राप्त करें

अनुमोदित उपयोगकर्ता का "UserData" प्राप्त करें।

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    ईमेल
    कुलक्षेत्र
    अधिकतमक्षेत्र
    क्षेत्रइकाई
    भाषा
    apiKey
    मिट्टीडेटासेटवर्गोंकीमात्रा
    organizations {
      uuid
      name
      उपनाम
      प्रथमनाम
      ईमेल
      फोन
      निर्माण_तिथि
      updatedDate
      users {
        organizationUuid
        userUuid
        ईमेल
        सभीखेत
        निर्माण_तिथि
        updatedDate
        farms {
          uuid
          userUuid
          name
          निर्माण_तिथि
          updatedDate
          farmOwnership
          ईमेल
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/38.-userdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
